#view-root {
  display: grid;
  /*Snug fit all textual content and assign the left over value, totalling 100%, to the image's cell*/
  grid-template-rows: repeat(2, fit-content(20%)) auto repeat(2, fit-content(20%));
  /*Necessary to compute available height for img-wrap, as described in the controller's initImgHeight();
   it allows the component to adopt 100% of the parent container*/
  min-height: 100%;
}

p {
  margin-bottom: 0; /*override mat-h2, mat-p specificity of 16px*/
}

h2 {
  background-color: white;
  color: var(--primary-colour800);
  margin-bottom: 4px; /*override mat-h2 specificity, making use it is explicitly defined*/
}

#summary {
  padding-top: 12px;
}

#img-wrap {
  background-color: lightgrey;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 8px; /*Top-padding on img ensures gap is maintained when date is hidden*/
  min-height: 100%; /*So that wrapper takes up total available space alloc by "grid-template-rows:  auto"*/
}

img {
  display: none;
  max-width: 100%; /*So that the original img size is never exceeded, nor its wrapper value, if wrapped*/
  object-fit: scale-down;
}
